Skip to content
Assets

Get Exchangeable Currency Pairs

Queries the source and target currency combinations supported by the current account, together with the default currency pair, when the user enters the currency exchange page. Used to filter the options in the source/target currency selectors and to determine the initial default currencies of the page.

GEThttps://api.lbkrs.com/v1/forex/support_currency

Parameters

account_channelstringquery

Broker channel

Responses

HTTP 200The request succeeded. The response body contains the result of the “Get exchangeable currency pairs” operation.
Standard response envelopecodemessagedata
dataobjectdata structure
listarray<object>

List of supported exchange currency pairs

Child attributes
from_currencystring

Source currency

to_currencystring

Target currency

default_currencyboolean

Whether this is the default currency pair, which is selected by default when the exchange page opens

Whale Docs